Apache JMeter

## org.apache.jmeter.modifiers
Class JSR223PreProcessor

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.util.JSR223TestElement
              org.apache.jmeter.modifiers.JSR223PreProcessor

All Implemented Interfaces:
  Serializable, Cloneable, Searchable, PreProcessor, TestBean, TestElement

    public class JSR223PreProcessor

extends JSR223TestElement
implements Cloneable, PreProcessor, TestBean

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`JSR223PreProcessor()`

Method Summary
`void` `process()`

Methods inherited from class org.apache.jmeter.util.JSR223TestElement
`clone, getFilename, getInstance, getParameters, getScript, getScriptEngine, getScriptLanguage, populateBindings, processFileOrScript, readResolve, setFilename, setParameters, setScript, setScriptLanguage`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JSR223PreProcessor

    public JSR223PreProcessor()

Method Detail

### process

    public void process()

  Specified by:
    `process` in interface `PreProcessor`

Apache JMeter

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.